partition.h File Reference

Go to the source code of this file.

## Namespaces

namespace | __gnu_parallel

## Macros

#define | _GLIBCXX_VOLATILE

## Functions

template<typename _RAIter , typename _Compare >
void | __gnu_parallel::__parallel_nth_element (_RAIter __begin, _RAIter __nth, _RAIter __end, _Compare __comp)
template<typename _RAIter , typename _Compare >
void | __gnu_parallel::__parallel_partial_sort (_RAIter __begin, _RAIter __middle, _RAIter __end, _Compare __comp)
template<typename _RAIter , typename _Predicate >
std::iterator_traits< _RAIter > ::difference_type | __gnu_parallel::__parallel_partition (_RAIter __begin, _RAIter __end, _Predicate __pred, _ThreadIndex __num_threads)

## Detailed Description

Parallel implementation of std::partition(), std::nth_element(), and std::partial_sort(). This file is a GNU parallel extension to the Standard C++ Library.

Definition in file partition.h.

## Macro Definition Documentation

#define _GLIBCXX_VOLATILE

Decide whether to declare certain variables volatile.

Definition at line 43 of file partition.h.

Referenced by __gnu_parallel::__parallel_partition().